/* core */
.tm-toolbar-default
{
    background-color: #E2047F;
    padding:4px 0px !important;
}
.uk-navbar-nav>li>a
{
    position: relative;
}
.uk-navbar-nav>li.uk-active>a::before
{
    content:"";
    display: block;
    height:26px;
    width:100%;
    background: radial-gradient(50% 50% at 50% 50%, #F5DCE0 0%, rgba(245, 220, 224, 0) 100%);
    position: absolute;
    left:50%;
    top:50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}
.uk-navbar .uk-search-icon-flip
{
    right: 4px;
    top: 4px;
    bottom: 4px;
    background-color:#E2047F;
    border-radius: 100%;
    height:32px;
    width:32px;
    box-sizing: border-box;
    padding:7px;
}
.uk-button .uk-icon 
{
    margin-left:8px ;
}
.uk-button
{
    display: flex;
    justify-content: center;
    align-items: center;
    width:fit-content;
}
.uk-slidenav
{
    box-shadow: 0px 0px 8px 0px #00000014;
}
.post-type-archive-product #tm-main .category-section:nth-child(odd) .uk-container > .uk-grid 
{
    flex-direction: row-reverse;

}
.post-type-archive-product #tm-main .category-section:nth-child(odd)
{
    background: linear-gradient(270deg, #FCF5F6 0%, #FFFFFF 100%);
}
.post-type-archive-product #tm-main .category-section:last-child 
{
    margin-bottom:80px;
}
.uk-pagination>*>:where([aria-label])
{
    border:1px solid #E4E4E4;
}
.uk-navbar-dropdown-nav>li.uk-active>a
{
    background-color: #E2047F;
}
.uk-navbar-dropdown-nav li:nth-child(n+2)
{
    margin-top:4px;
}
#tm-main > .category-post-sec:nth-of-type(3)::before
{
    background: #F9F8FF;
}
#tm-main > .category-post-sec:nth-of-type(4)::before
{
    background: #FFF8F9;
}
#tm-main > .category-post-sec:nth-of-type(5)::before
{
    background: #F9FFFC;
}
.autoComplete_wrapper > input
{
    width:100%;
}
.autoComplete_wrapper
{
    width:100% !important;
}
.autoComplete_wrapper > ul 
{
    width:300px;
}
.uk-search-navbar
{
    width:auto;
}
.gap-1
{
    gap:4px;
}
.gap-3 {
    gap:12px;
}
.wcv-group .wcv-label
{
    font-size: 18px;
    font-weight: 600;
}
.wcv-btn
{
    font-size:16px;
    border-radius: 8px;
    border:1px solid #E4E4E4;
    padding:8px 12px;
    cursor: pointer;
}
.wcv-btn.wcv-btn--active
{
    background-color: #FDEBF5;
    border-color:#E2047F;
    color:#E2047F;
}
.wcv-options
{
    gap:20px;
}
.uk-modal-dialog:has(.modal-order-product)
{
    width:1059px;
    border-radius: 12px;
    padding:0px;
    overflow: hidden;
}
.uk-modal-dialog:has(.modal-order-product) .wpcf7
{
    padding:36px;
}
.uk-modal-dialog:has(.modal-order-product) .wpcf7 .uk-h4 
{
    color:#E2047F;
    font-weight: 600;
    
}
.uk-modal-dialog:has(.modal-order-product) .form-note
{
    display: none;
}
.uk-modal-dialog:has(.modal-order-product) .uk-button-primary
{
    margin-top:36px;
}
.uk-modal-dialog:has(.modal-order-product) div:has(>img)
{
    margin-right:-144px;
    margin-top: -24px;
}

.uk-modal-dialog:has(.modal-order-product) img 
{
    transform: translate(-144px, 24px);
    border-bottom-right-radius: 100px;
    border-right:24px solid  #FDEBF5;
    border-bottom:24px solid  #FDEBF5;

}
.gradient-showmore .gradient {
    position: absolute;
    bottom: 0px;
    background: linear-gradient(180deg, rgba(253, 235, 245, 0) 0%, #FDEBF5 100%);
    height: 150px;
    width: 100%;
    left: 0px;
    border-radius: 24px;
    display: flex;
    justify-content: center;
    align-items: end;
}
.button-showmore {
    margin-bottom: -16px;
    display: flex;
    align-items: center;
    gap: 10px;
    border:none;
    padding: 7px 24px;
    background-color: transparent;
    box-shadow: none;
    border-radius: 8px;
    cursor: pointer;
    position: absolute;
    left: 50%;
    bottom: 0px;
    transform: translate(-50%, 0px);
    font-size:18px;
    color:#6B6B6B;
}
.slideshow-counter
{
    color:#3A3A3A;
    font-size: 14px;
    font-weight: 500;
    text-shadow: 1px 1px 0px #FFFFFF80;
}
.uk-modal-dialog:has(.modal-order-product) .uk-modal-close-default
{
    color:#3A3A3A;
}
.form-floating{
    position:relative;
}

.form-floating label{
    position:absolute;
    left:0;
    top:50%;
    transform:translateY(-50%);
    color:#6B6B6B;
    transition:.2s;
    pointer-events:none;
}
.form-floating.is-focus label{
    opacity:0;
}

.form-floating.has-value label{
    opacity:0;
}
.required{
    color:#f0506e;
}
.sticky-bottom 
{
    position: absolute;
    width: calc(100% - 60px);
    bottom: 0px;
    background: white;
    padding: 8px;
}
.filter-space
{
    max-height: 100vh;
    overflow: auto;

}
.uk-lightbox-items-fit>*>*
{
    max-height:60vh;
}
@media(max-width:960px)
{
    html
    {
        font-size:14px;
    }
    .uk-dotnav > * > *
    {
        height:12px;
        width:12px;
    }
    .uk-button 
    {
        font-size: 14px !important;
        font-weight:500 !important; 
    }
    .uk-button-text
    {
        font-size: 14px !important;
    }
    .uk-breadcrumb>*>*
    {
        font-size:14px;
    }
    .uk-breadcrumb
    {
        overflow: auto;
        white-space: nowrap;
    }
    .wcv-group .wcv-label
    {
        font-size: 16px;
    }
    .wcv-btn
    {
        font-size:16px;
    }
    .wcv-options
    {
        gap:12px;
        margin-top:12px !important;
    }
    .button-showmore
    {
        font-size: 16px;
    }
    #sidebar-filter
    {
        width:auto !important;
        margin:0px !important;
    }
    #sidebar-filter .blsp-filter
    {
        padding:0px !important;
        box-shadow: none !important;
    }
    #sort-filter
    {
        margin:0px !important;
        padding-bottom:100px;
    }
    #sort-filter .uk-accordion-title
    {
        font-weight: 600 !important;
        cursor: pointer;
        color:#E2047F;
        display: flex;
        align-items: center;
        justify-content: space-between;
        width:100%;
        background-color:white;
        border:none;
        padding:0px;
    
    }
    #sort-filter li:not(.uk-open) .uk-accordion-title span[uk-icon]{
        transform: rotate(180deg);
    }
    .uk-offcanvas:has(.filter-space) .uk-offcanvas-close
    {
        top:22px;
        right:16px;
    }
    .uk-offcanvas:has(.filter-space) .uk-offcanvas-bar
    {
        max-height:100vh;
        overflow: hidden;
    }
    .uk-offcanvas:has(.filter-space) .uk-button 
    {
        width:100% !important;
    }
    .offcanva-title
    {
        font-weight:600;
        font-size: 20px;
    }
    #close-offcv-custom
    {
        position: static;
        color:white;
        height:47px;
    }
    #close-offcv-custom svg 
    {
        display: none;
    }
    .list-sort li.uk-active
    {
        color:#E2047F;
    }
    #tm-dialog-mobile .uk-offcanvas-bar
    {
        max-width:320px !important;
        overflow:visible;
    }
    #tm-dialog-mobile   .uk-offcanvas-close
    {
        right: -30px;
        color: #E4E4E4
    }
    #tm-dialog-mobile
    {
        height: calc(100vh - 64px);
        top: auto;
    }
    .uk-nav-secondary .uk-nav-sub
    {
        padding:0px;
    }
    .uk-nav-secondary .uk-nav-sub a
    {
        font-weight: 500;
        padding:10px 12px;
    }
    #tm-dialog-mobile .uk-nav-secondary .uk-parent > a
    {
        justify-content: space-between;
    }
    #tm-dialog-mobile .uk-nav-secondary .uk-parent > a .uk-icon 
    {
        transform: rotate(180deg);
        transition: all .2s linear;
    }
    #tm-dialog-mobile .uk-nav-secondary .uk-parent > a.close .uk-icon 
    {
        transform: rotate(0deg);

    }
    #tm-dialog-mobile .uk-nav-secondary .uk-parent > .uk-nav-sub 
    {
        max-height:500px;
        overflow:auto;
        transition: all .2s linear;
    }
    #tm-dialog-mobile .uk-nav-secondary .uk-parent > .uk-nav-sub.close
    {
        max-height:0px;
        overflow: hidden;
    }
    .uk-navbar-dropdown:has(>.uk-search)
    {
        background-color:transparent;
        box-shadow: none;
    }
    .uk-navbar-dropdown .uk-search-input
    {
        border-radius: 100px;
        border:1px solid #E2047F;
        background-color:white !important;
        font-size:16px;
        color:#6B6B6B;
        height:40px;

    }
    .tm-header-mobile .uk-search-icon 
    {
        padding-right:4px;
    }
    .tm-header-mobile .uk-search-icon svg
    {
        width:32px;
    }
    .uk-modal-dialog:has(.modal-order-product) img
    {
        transform: translate(0px);
             border-right: none;
             height:260px;
             border-width: 12px;
             width:100%;
    }
    .uk-modal-dialog:has(.modal-order-product) .uk-button-primary
    {
        margin-top:16px !important;
    }
    .uk-modal-dialog:has(.modal-order-product) .wpcf7 .uk-h4
    {
        margin-bottom: 16px;
    }
    .autoComplete_wrapper > ul 
    {
        width:100%;
    }
    h2,.uk-h2
    {
        font-size: 20px !important;
    }
    h3,.uk-h3 
    {
        font-size: 18px !important;
    }

}

@media (min-width: 960px) and (max-width: 1100px) {
    .uk-navbar-nav

    {
        gap:12px;
    }
    .uk-navbar-nav>li>a
    {
        font-size:16px;
    }
    .autoComplete_wrapper
    {
        width:180px;
    }
}